#
# spec file for package vacuum-im-plugins-gmailnotify
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define app_name vacuum-im
%define rtime 1518929179
%define rhash 2d687c8
Name:           %{app_name}-plugins-gmailnotify
Version:        1.0.5+git%{rtime}.%{rhash}
Release:        1.30
Summary:        GMailNotify plugin for Vacuum-IM
License:        GPL-3.0
Group:          Productivity/Networking/Instant Messenger
URL:            http://www.vacuum-im.org/
Source:         %{name}-git%{rtime}.%{rhash}.tar.xz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  libQt5Core-devel
BuildRequires:  libQt5Gui-devel
BuildRequires:  libQt5Xml-devel
BuildRequires:  libqt5-qttools-devel
BuildRequires:  openssl-devel
BuildRequires:  vacuum-im-devel
BuildRequires:  xz

%description
Vacuum-IM plugin for gmail notifications.

%prep
%setup -q -n %{name}

%build
%cmake \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DINSTALL_LIB_DIR=%{_lib} \
    -DINSTALL_APP_DIR=%{app_name} \
    -DINSTALL_DOC_DIR=%{_defaultdocdir} \
    -DVACUUM_LIB_PATH=%{_libdir} \
    -DVACUUM_SDK_PATH=%{_includedir}/%{app_name}
make %{?_smp_mflags} V=1

%install
%cmake_install

%fdupes %{buildroot}%{_datadir}

%files
%dir %{_libdir}/%{app_name}
%{_libdir}/%{app_name}/plugins/
%{_datadir}/%{app_name}

%changelog
* Sat Feb 24 2018 egdfree@opensuse.org
- port to Qt5
* Sat Mar 26 2016 egdfree@opensuse.org
- update source
  * support Vacuum-SDK v37
* Fri Apr 24 2015 egdfree@opensuse.org
- update source
  * support Vacuum-SDK v35
* Sun Aug 17 2014 egdfree@opensuse.org
- update source
  * sync with last changes in vacuum-im
* Thu May  8 2014 egdfree@opensuse.org
- update to 1.0.5
* Mon May 27 2013 egdfree@opensuse.org
- fix in show mail list if subject is empty
* Tue Mar 26 2013 egdfree@opensuse.org
- sync source to changes in vacuum-sdk
* Sat Jan  5 2013 egdfree@opensuse.org
- update to 1.0.4
  * sync source to changes in vacuum-sdk
* Sun Sep 16 2012 egdfree@opensuse.org
- update source
  * deleted fix_cmake_rules.patch: its now not needen
* Sun Jan 22 2012 egdfree@opensuse.org
- update to 1.0.2
  * sync changes in INotifications (vacuum-im r1706)
* Mon Oct 10 2011 egdfree@opensuse.org
- update to 1.0.1
  * sync to repository files
* Tue Aug  9 2011 egdfree@opensuse.org
- update
  * sync changes in UI settings interface
* Wed Aug  3 2011 egdfree@opensuse.org
- update
  * sync changes in IRostersView
* Tue Mar 15 2011 egdfree@opensuse.org
- update
  * sync changes in INotifications
* Sun Feb 20 2011 egdfree@opensuse.org
- initial release for openSUSE
